User: Password:
|
|
Subscribe / Log in / New account

Scientific Linux alert SLSA-2014:1012-1 (php53 and php)

From:  Pat Riehecky <riehecky@fnal.gov>
To:  <scientific-linux-errata@listserv.fnal.gov>
Subject:  Security ERRATA Moderate: php53 and php on SL5.x, SL6.x i386/x86_64
Date:  Wed, 6 Aug 2014 13:36:16 +0000
Message-ID:  <20140806133616.5724.54127@slpackages.fnal.gov>

Synopsis: Moderate: php53 and php security update Advisory ID: SLSA-2014:1012-1 Issue Date: 2014-08-06 CVE Numbers: CVE-2012-1571 CVE-2013-6712 CVE-2014-1943 CVE-2014-2270 CVE-2014-0238 CVE-2014-0237 CVE-2014-3480 CVE-2014-3479 CVE-2014-4049 CVE-2014-3515 CVE-2014-4721 -- Multiple denial of service flaws were found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use either of these flaws to crash a PHP application using fileinfo via a specially crafted CDF file. (CVE-2014-0237, CVE-2014-0238, CVE-2014-3479, CVE-2014-3480, CVE-2012-1571) Two denial of service flaws were found in the way the File Information (fileinfo) extension handled indirect and search rules. A remote attacker could use either of these flaws to cause a PHP application using fileinfo to crash or consume an excessive amount of CPU. (CVE-2014-1943, CVE-2014-2270) A heap-based buffer overflow flaw was found in the way PHP parsed DNS TXT records. A malicious DNS server or a man-in-the-middle attacker could possibly use this flaw to execute arbitrary code as the PHP interpreter if a PHP application used the dns_get_record() function to perform a DNS query. (CVE-2014-4049) A type confusion issue was found in PHP's phpinfo() function. A malicious script author could possibly use this flaw to disclose certain portions of server memory. (CVE-2014-4721) A buffer over-read flaw was found in the way the DateInterval class parsed interval specifications. An attacker able to make a PHP application parse a specially crafted specification using DateInterval could possibly cause the PHP interpreter to crash. (CVE-2013-6712) A type confusion issue was found in the SPL ArrayObject and SPLObjectStorage classes' unserialize() method. A remote attacker able to submit specially crafted input to a PHP application, which would then unserialize this input using one of the aforementioned methods, could use this flaw to execute arbitrary code with the privileges of the user running that PHP application. (CVE-2014-3515) -- SL5 x86_64 php53-5.3.3-23.el5_10.x86_64.rpm php53-bcmath-5.3.3-23.el5_10.x86_64.rpm php53-cli-5.3.3-23.el5_10.x86_64.rpm php53-common-5.3.3-23.el5_10.x86_64.rpm php53-dba-5.3.3-23.el5_10.x86_64.rpm php53-debuginfo-5.3.3-23.el5_10.x86_64.rpm php53-devel-5.3.3-23.el5_10.x86_64.rpm php53-gd-5.3.3-23.el5_10.x86_64.rpm php53-imap-5.3.3-23.el5_10.x86_64.rpm php53-intl-5.3.3-23.el5_10.x86_64.rpm php53-ldap-5.3.3-23.el5_10.x86_64.rpm php53-mbstring-5.3.3-23.el5_10.x86_64.rpm php53-mysql-5.3.3-23.el5_10.x86_64.rpm php53-odbc-5.3.3-23.el5_10.x86_64.rpm php53-pdo-5.3.3-23.el5_10.x86_64.rpm php53-pgsql-5.3.3-23.el5_10.x86_64.rpm php53-process-5.3.3-23.el5_10.x86_64.rpm php53-pspell-5.3.3-23.el5_10.x86_64.rpm php53-snmp-5.3.3-23.el5_10.x86_64.rpm php53-soap-5.3.3-23.el5_10.x86_64.rpm php53-xml-5.3.3-23.el5_10.x86_64.rpm php53-xmlrpc-5.3.3-23.el5_10.x86_64.rpm i386 php53-5.3.3-23.el5_10.i386.rpm php53-bcmath-5.3.3-23.el5_10.i386.rpm php53-cli-5.3.3-23.el5_10.i386.rpm php53-common-5.3.3-23.el5_10.i386.rpm php53-dba-5.3.3-23.el5_10.i386.rpm php53-debuginfo-5.3.3-23.el5_10.i386.rpm php53-devel-5.3.3-23.el5_10.i386.rpm php53-gd-5.3.3-23.el5_10.i386.rpm php53-imap-5.3.3-23.el5_10.i386.rpm php53-intl-5.3.3-23.el5_10.i386.rpm php53-ldap-5.3.3-23.el5_10.i386.rpm php53-mbstring-5.3.3-23.el5_10.i386.rpm php53-mysql-5.3.3-23.el5_10.i386.rpm php53-odbc-5.3.3-23.el5_10.i386.rpm php53-pdo-5.3.3-23.el5_10.i386.rpm php53-pgsql-5.3.3-23.el5_10.i386.rpm php53-process-5.3.3-23.el5_10.i386.rpm php53-pspell-5.3.3-23.el5_10.i386.rpm php53-snmp-5.3.3-23.el5_10.i386.rpm php53-soap-5.3.3-23.el5_10.i386.rpm php53-xml-5.3.3-23.el5_10.i386.rpm php53-xmlrpc-5.3.3-23.el5_10.i386.rpm SL6 x86_64 php-5.3.3-27.el6_5.1.x86_64.rpm php-bcmath-5.3.3-27.el6_5.1.x86_64.rpm php-cli-5.3.3-27.el6_5.1.x86_64.rpm php-common-5.3.3-27.el6_5.1.x86_64.rpm php-dba-5.3.3-27.el6_5.1.x86_64.rpm php-debuginfo-5.3.3-27.el6_5.1.x86_64.rpm php-devel-5.3.3-27.el6_5.1.x86_64.rpm php-embedded-5.3.3-27.el6_5.1.x86_64.rpm php-enchant-5.3.3-27.el6_5.1.x86_64.rpm php-fpm-5.3.3-27.el6_5.1.x86_64.rpm php-gd-5.3.3-27.el6_5.1.x86_64.rpm php-imap-5.3.3-27.el6_5.1.x86_64.rpm php-intl-5.3.3-27.el6_5.1.x86_64.rpm php-ldap-5.3.3-27.el6_5.1.x86_64.rpm php-mbstring-5.3.3-27.el6_5.1.x86_64.rpm php-mysql-5.3.3-27.el6_5.1.x86_64.rpm php-odbc-5.3.3-27.el6_5.1.x86_64.rpm php-pdo-5.3.3-27.el6_5.1.x86_64.rpm php-pgsql-5.3.3-27.el6_5.1.x86_64.rpm php-process-5.3.3-27.el6_5.1.x86_64.rpm php-pspell-5.3.3-27.el6_5.1.x86_64.rpm php-recode-5.3.3-27.el6_5.1.x86_64.rpm php-snmp-5.3.3-27.el6_5.1.x86_64.rpm php-soap-5.3.3-27.el6_5.1.x86_64.rpm php-tidy-5.3.3-27.el6_5.1.x86_64.rpm php-xml-5.3.3-27.el6_5.1.x86_64.rpm php-xmlrpc-5.3.3-27.el6_5.1.x86_64.rpm php-zts-5.3.3-27.el6_5.1.x86_64.rpm i386 php-5.3.3-27.el6_5.1.i686.rpm php-bcmath-5.3.3-27.el6_5.1.i686.rpm php-cli-5.3.3-27.el6_5.1.i686.rpm php-common-5.3.3-27.el6_5.1.i686.rpm php-dba-5.3.3-27.el6_5.1.i686.rpm php-debuginfo-5.3.3-27.el6_5.1.i686.rpm php-devel-5.3.3-27.el6_5.1.i686.rpm php-embedded-5.3.3-27.el6_5.1.i686.rpm php-enchant-5.3.3-27.el6_5.1.i686.rpm php-fpm-5.3.3-27.el6_5.1.i686.rpm php-gd-5.3.3-27.el6_5.1.i686.rpm php-imap-5.3.3-27.el6_5.1.i686.rpm php-intl-5.3.3-27.el6_5.1.i686.rpm php-ldap-5.3.3-27.el6_5.1.i686.rpm php-mbstring-5.3.3-27.el6_5.1.i686.rpm php-mysql-5.3.3-27.el6_5.1.i686.rpm php-odbc-5.3.3-27.el6_5.1.i686.rpm php-pdo-5.3.3-27.el6_5.1.i686.rpm php-pgsql-5.3.3-27.el6_5.1.i686.rpm php-process-5.3.3-27.el6_5.1.i686.rpm php-pspell-5.3.3-27.el6_5.1.i686.rpm php-recode-5.3.3-27.el6_5.1.i686.rpm php-snmp-5.3.3-27.el6_5.1.i686.rpm php-soap-5.3.3-27.el6_5.1.i686.rpm php-tidy-5.3.3-27.el6_5.1.i686.rpm php-xml-5.3.3-27.el6_5.1.i686.rpm php-xmlrpc-5.3.3-27.el6_5.1.i686.rpm php-zts-5.3.3-27.el6_5.1.i686.rpm - Scientific Linux Development Team


(Log in to post comments)


Copyright © 2017, Eklektix, Inc.
Comments and public postings are copyrighted by their creators.
Linux is a registered trademark of Linus Torvalds